//
//  SecondoViewController.swift
//  webView
//
//  Created by www.swiftios.it on 25/04/2019.
//  Copyright © 2019 www.swiftios.it. All rights reserved.
//

import UIKit
import WebKit

class SecondoViewController: UIViewController, WKNavigationDelegate {
    
    @IBOutlet weak var webView: WKWebView!
    var indicatore: UIActivityIndicatorView!


    override func viewDidLoad() {
        super.viewDidLoad()

        let myURL = URL(string: "http://www.swiftios.it")
        let myRequest = URLRequest(url: myURL!)
        webView.allowsLinkPreview = true
        webView.navigationDelegate = self

        //--------------
        indicatore = UIActivityIndicatorView()
        indicatore.frame = CGRect(x: (view.frame.width / 2) - 50, y: (view.frame.height / 2) - 120, width: 100, height: 100)
        indicatore.style = .whiteLarge
        indicatore.color  = UIColor.red
        indicatore.hidesWhenStopped = true
        // indicatore.startAnimating()
        self.view.addSubview(indicatore)
        
        webView.load(myRequest)

    }
    
    // Inizio a ricevere Informazioni
    func webView(_ webView: WKWebView, didCommit navigation: WKNavigation!) {
        print("Inizio")
        indicatore.startAnimating()
        alert(stato: false)
    }
    
    // Termine ricezioni Informazioni
    func webView(_ webView: WKWebView, didFinish navigation: WKNavigation!) {
        print("Fine")
        indicatore.stopAnimating()
        alert(stato: true)
    }
  
    // Errore durante il ricevimenti di informazioni
    func webView(_ webView: WKWebView, didFailProvisionalNavigation navigation: WKNavigation!, withError error: Error) {
        print("Si è verificato un Errore durante il caricamento")
    }
    
    // Funzione alert
    func alert(stato: Bool){
        
        let alert = UIAlertController(title: "ATTENDERE!", message: "Caricamento in corso...", preferredStyle: .alert)
        
        if stato == false{
            self.present(alert, animated: true, completion: nil)
        }
        else{
            self.dismiss(animated: true, completion: nil)
        }
    }

}
