//
//  ViewController.swift
//  webView
//  www.swiftios.it

/*
 <key>NSAppTransportSecurity</key>
 <dict>
 <key>NSAllowsArbitraryLoads</key>
 <true/>
 </dict>
*/

import UIKit
import WebKit

class ViewController: UIViewController, WKNavigationDelegate {
    
    var indicatore: UIActivityIndicatorView!
    
    @IBOutlet weak var webview: WKWebView!
    
    override func loadView() {
        let webConfiguration = WKWebViewConfiguration()
        webview = WKWebView(frame: .zero, configuration: webConfiguration)
        webview.navigationDelegate = self
        view = webview
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        let myURL = URL(string: "http://www.swiftios.it")
        let myRequest = URLRequest(url: myURL!)
        webview.allowsLinkPreview = true
        
        //--------------
        indicatore = UIActivityIndicatorView()
        indicatore.frame = CGRect(x: 140, y: 200, width: 100, height: 100)
        indicatore.style = .whiteLarge
        indicatore.color  = UIColor.red
        indicatore.hidesWhenStopped = true
       // indicatore.startAnimating()
        self.view.addSubview(indicatore)
        //------------------------
        webview.load(myRequest)
    }
    
    // Inizio a ricevere Informazioni
    func webView(_ webView: WKWebView, didCommit navigation: WKNavigation!) {
        print("Inizio")
        indicatore.startAnimating()
        alert(stato: false)
    }
    
    // Termine ricezioni Informazioni
    func webView(_ webView: WKWebView, didFinish navigation: WKNavigation!) {
        print("Fine")
        indicatore.stopAnimating()
        alert(stato: true)
    }
    
    // Errore durante il ricevimenti di informazioni
    func webView(_ webView: WKWebView, didFailProvisionalNavigation navigation: WKNavigation!, withError error: Error) {
        print("Si è verificato un Errore durante il caricamento")
    }
    
   // Funzione alert
    func alert(stato: Bool){
        
        let alert = UIAlertController(title: "ATTENDERE!", message: "Caricamento in corso...", preferredStyle: .alert)
        
        if stato == false{
        self.present(alert, animated: true, completion: nil)
        }
        else{
        self.dismiss(animated: true, completion: nil)
        }
    }
}

